# ParameterFactoryRegistry (iCal4j VCard 0.9.5 API)
Date: 2012-01-29

net.fortuna.ical4j.vcard

## Class ParameterFactoryRegistry

- java.lang.Object
- - net.fortuna.ical4j.vcard.ParameterFactoryRegistry

    public class ParameterFactoryRegistry
    extends Object

A registry for standard and non-standard parameter factories. $Id$ Created on: 05/01/2009

Author:
  Ben

### Constructor Summary

Constructors
Constructor and Description
`ParameterFactoryRegistry()`

### Method Summary

Methods
`ParameterFactory<? extends Parameter>` `getFactory(String value)`
`void` `register(String extendedName, ParameterFactory<Parameter> factory)` Registers a non-standard parameter factory.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ParameterFactoryRegistry

    public ParameterFactoryRegistry()

### Method Detail

#### getFactory

    public ParameterFactory<? extends Parameter> getFactory(String value)

Parameters:
  `value` - a string representation of a parameter id
Returns:
  a factory for the specified parameter id

#### register

    public void register(String extendedName,
                ParameterFactory<Parameter> factory)

Registers a non-standard parameter factory.

Parameters:
  `extendedName` - the non-standard parameter name
  `factory` - a non-standard parameter factory